/*
Filename    : BTPasswordDlg.h
Part of     : Phone Navigator
Description : Declaration of bluetooth password dialog class
Version     : 1.1

This example is only to be used with PC Suite Connectivity API version 1.1.
Compability ("as is") with future versions is not quaranteed.

Copyright (c) 2005 Nokia Corporation.
 
This material, including but not limited to documentation and any related 
computer programs, is protected by intellectual property rights of Nokia 
Corporation and/or its licensors.
All rights are reserved. Reproducing, modifying, translating, or 
distributing any or all of this material requires the prior written consent 
of Nokia Corporation. Nokia Corporation retains the right to make changes 
to this material at any time without notice. A copyright license is hereby 
granted to download and print a copy of this material for personal use only.
No other license to any other intellectual property rights is granted. The 
material is provided "as is" without warranty of any kind, either express or 
implied, including without limitation, any warranty of non-infringement, 
merchantability and fitness for a particular purpose. In no event shall 
Nokia Corporation be liable for any direct, indirect, special, incidental, 
or consequential loss or damages, including but not limited to, lost profits 
or revenue,loss of use, cost of substitute program, or loss of data or 
equipment arising out of the use or inability to use the material, even if 
Nokia Corporation has been advised of the likelihood of such damages occurring.
*/ 

#if !defined(AFX_BTPASSWORDDLG_H__0EB09DA0_C8EC_4644_BFC6_6C910B3C0395__INCLUDED_)
#define AFX_BTPASSWORDDLG_H__0EB09DA0_C8EC_4644_BFC6_6C910B3C0395__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BTPasswordDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBTPasswordDlg dialog
class CBTPasswordDlg : public CDialog
{
public:
	CBTPasswordDlg(CWnd* pParent = NULL);   // standard constructor

	//{{AFX_DATA(CBTPasswordDlg)
	enum { IDD = IDD_BT_PASSWORD_DIALOG };
	CString	m_strPassword;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBTPasswordDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

public:
    LPCTSTR GetPassword() { return m_strPassword;}
    void SetPassword( LPCTSTR lpszPassword) { m_strPassword = lpszPassword;}

protected:
	// Generated message map functions
	//{{AFX_MSG(CBTPasswordDlg)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BTPASSWORDDLG_H__0EB09DA0_C8EC_4644_BFC6_6C910B3C0395__INCLUDED_)
