#if !defined(AFX_CMDDLG_H__96324E38_F821_4205_8506_F4B1C7587D98__INCLUDED_)
#define AFX_CMDDLG_H__96324E38_F821_4205_8506_F4B1C7587D98__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CmdDlg.h : header file
//
#include "PhoneListBox.h"
#include "FileListBox.h"

#include "Picture.h"

/////////////////////////////////////////////////////////////////////////////
// CCmdDlg dialog



class CCmdDlg : public CDialog
{
// Construction
public:
	CCmdDlg(CWnd* pParent = NULL);   // standard constructor
	~CCmdDlg();

	DWORD m_iCmdState;
	DWORD m_iKeyEventState;
	DWORD m_iSessionState;

	enum 
	{
		CMD_STATE_NULL = NULL,
		CMD_STATE_SENDDATA = 1
	};

	BOOL m_bThreadStarted;
// Dialog Data
	//{{AFX_DATA(CCmdDlg)
	enum { IDD = IDD_CMD_DLG };
	CListCtrl	m_LogList;
	CString	m_cmd;
	CString m_strCurrentSN;
	WORD m_wState;
	CStatic	m_staticPhone;
	CPhoneListBox	m_lbPhones;
	CStatic* m_pLabel; // static control in the main window
	CFileListBox	m_lbPCFiles;
	//}}AFX_DATA

	void StartSendReciver();
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCmdDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
	void ShowPhoneFolder(CString strFolder);
// Implementation
	void SendCmd(int prefix = 0);


protected:

	// Generated message map functions
	//{{AFX_MSG(CCmdDlg)
	virtual void OnOK();
	afx_msg void OnButton1();
	virtual BOOL OnInitDialog();
	afx_msg void OnMenu();
	afx_msg void OnBack();
	afx_msg void OnUp();
	afx_msg void OnDown();
	afx_msg void OnEnter();
	afx_msg void OnLeft();
	afx_msg void OnRight();
	afx_msg void OnApp();
	afx_msg void OnBtn1();
	afx_msg void OnBtn2();
	afx_msg void OnBtn3();
	afx_msg void OnBtn4();
	afx_msg void OnBtn5();
	afx_msg void OnBtn6();
	afx_msg void OnBtn7();
	afx_msg void OnBtn8();
	afx_msg void OnBtn9();
	afx_msg void OnBtn0();
	afx_msg void OnBtnELeft();
	afx_msg void OnBtnERight();
	afx_msg void OnBtnC();
	afx_msg void OnBtnPen();
	afx_msg void OnBtnRed();
	afx_msg void OnBtnGreen();
	afx_msg void OnStartThread();
	afx_msg void OnDestroy();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	// Connect var
	FSHANDLE m_hFS;
	DWORD m_dwMedia;
	DWORD m_dwDeviceID;


	CPicture m_ScreenPicture;
	CRect m_ScreenPictureRect;

	void SendToPhone();

	DWORD GetEventKeyState();
	DWORD GetPicture();
	DWORD GetSessionState();


};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CMDDLG_H__96324E38_F821_4205_8506_F4B1C7587D98__INCLUDED_)
